/***************************************************************************
 *   Copyright (C) 2006 by Helio Chissini de Castro   *
 *   helio@mandriva.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef _PROFILECHOOSER_H_
#define _PROFILECHOOSER_H_

#include <qmap.h>
#include <kcmodule.h>
#include <kaboutdata.h>

class QListBox;
class QTextLabel;

class profilechooser: public KCModule
{
    Q_OBJECT

public:
    profilechooser( QWidget *parent=0, const char *name=0, const QStringList& = QStringList() );
    ~profilechooser();

    virtual void load();
    virtual void save();
    virtual const KAboutData *aboutData()const
    { return myAboutData; };
    bool putDescription( QString filename, bool first=false );

public slots:
    void configChanged();
    void removeProfile();
    void addProfile();
    void orderChange();

private:
	KAboutData *myAboutData;
	QListBox *availableProfiles;
	QLabel *defaultLabel;
	QMap<QString, QString> profileList;
	QString defaultProfile;
};

#endif
